com.io7m.jstructural.annotated

## Class SAFormalItemNumberSF

- java.lang.Object
- - com.io7m.jstructural.annotated.SAFormalItemNumber
  - - com.io7m.jstructural.annotated.SAFormalItemNumberSF

- All Implemented Interfaces:
    SASubsectionContentNumber, Comparable<SAFormalItemNumber>

      public final class SAFormalItemNumberSF
      extends SAFormalItemNumber

  A formal item number consisting of a section, and formal item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAFormalItemNumberSF(int in_section, int in_formal)` Construct a new formal item number

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SAFormalItemNumber o)`
    `boolean` | `equals(Object obj)`
    `<T> T` | `formalItemNumberAccept(SAFormalItemNumberVisitor<T> v)` Accept a formal item number visitor.
    `String` | `formalItemNumberFormat()`
    `int` | `getFormalItem()`
    `int` | `getSection()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class com.io7m.jstructural.annotated.SAFormalItemNumber

      `subsectionContentNumberAccept`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAFormalItemNumberSF

          public SAFormalItemNumberSF(int in_section,
                              int in_formal)
                               throws com.io7m.jaux.Constraints.ConstraintError

      Construct a new formal item number
      Parameters:
        `in_section` - The section number
        `in_formal` - The formal item number
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is outside of the range `[1, `Integer.MAX_VALUE`]`

  - ### Method Detail

    - #### compareTo

          public int compareTo(SAFormalItemNumber o)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### formalItemNumberAccept

          public <T> T formalItemNumberAccept(SAFormalItemNumberVisitor<T> v)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Description copied from class: `SAFormalItemNumber`
      Accept a formal item number visitor.
      Specified by:
        `formalItemNumberAccept` in class `SAFormalItemNumber`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises `Constraints.ConstraintError`
        `Exception` - If the visitor raises an `Exception`

    - #### formalItemNumberFormat

          public String formalItemNumberFormat()

      Specified by:
        `formalItemNumberFormat` in class `SAFormalItemNumber`
      Returns:
        A human-readable string representing the formal item number (such as "1.2.3.4")

    - #### getFormalItem

          public int getFormalItem()

      Specified by:
        `getFormalItem` in class `SAFormalItemNumber`
      Returns:
        The formal item number

    - #### getSection

          public int getSection()

      Returns:
        The section number

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014 <code@io7m.com> http://io7m.com